Bug 129949 - net/pear-XML_RPC2 installed at unusual path
Summary: net/pear-XML_RPC2 installed at unusual path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-26 13:20 UTC by Yamashiro
Modified: 2008-12-28 11:16 UTC (History)
0 users

See Also:


Attachments
file.diff (377 bytes, patch)
2008-12-26 13:20 UTC, Yamashiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yamashiro freebsd_committer 2008-12-26 13:20:03 UTC
net/pear-XML_RPC2 installed at /usr/local/share/pear/XML/XML/RPC2.
This path an unusual and cause error of 3rd party PHP software
at "require_once 'XML/RPC2/*****.php';".

This package should install at /usr/local/share/pear/XML/RPC2.

Fix: Apply attached patch.

This patch remove variable definition 'CATEGORY=XML' from Makefile.


Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/net/pear-XML_RPC2
# make install
Comment 1 Edwin Groothuis freebsd_committer 2008-12-26 13:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-12-26 13:20:19 UTC
Maintainer of net/pear-XML_RPC2,

Please note that PR ports/129949 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129949

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-12-26 13:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 wenheping 2008-12-26 15:52:06 UTC
Maybe this patch is better?

--- Makefile.orig       2008-12-26 23:43:40.000000000 +0800
+++ Makefile    2008-12-26 23:48:47.000000000 +0800
@@ -19,35 +19,39 @@
 USE_PHP=       curl

 CATEGORY=      XML
-FILES=         XML/RPC2/Backend/Php/Value/Array.php \
-               XML/RPC2/Backend/Php/Value/Base64.php \
-               XML/RPC2/Backend/Php/Value/Boolean.php \
-               XML/RPC2/Backend/Php/Value/Datetime.php \
-               XML/RPC2/Backend/Php/Value/Double.php \
-               XML/RPC2/Backend/Php/Value/Integer.php \
-               XML/RPC2/Backend/Php/Value/Scalar.php \
-               XML/RPC2/Backend/Php/Value/String.php \
-               XML/RPC2/Backend/Php/Value/Struct.php \
-               XML/RPC2/Backend/Php/Client.php \
-               XML/RPC2/Backend/Php/Request.php \
-               XML/RPC2/Backend/Php/Response.php \
-               XML/RPC2/Backend/Php/Server.php \
-               XML/RPC2/Backend/Php/Value.php \
-               XML/RPC2/Backend/Xmlrpcext/Client.php \
-               XML/RPC2/Backend/Xmlrpcext/Server.php \
-               XML/RPC2/Backend/Xmlrpcext/Value.php \
-               XML/RPC2/Server/CallHandler/Class.php \
-               XML/RPC2/Server/CallHandler/Instance.php \
-               XML/RPC2/Server/CallHandler.php \
-               XML/RPC2/Server/Method.php \
-               XML/RPC2/Util/HTTPRequest.php \
-               XML/RPC2/Backend.php \
-               XML/RPC2/CachedClient.php \
-               XML/RPC2/CachedServer.php \
-               XML/RPC2/Client.php \
-               XML/RPC2/Exception.php \
-               XML/RPC2/Server.php \
-               XML/RPC2/Value.php
+FILES=         RPC2/Backend/Php/Value/Array.php \
+               RPC2/Backend/Php/Value/Base64.php \
+               RPC2/Backend/Php/Value/Boolean.php \
+               RPC2/Backend/Php/Value/Datetime.php \
+               RPC2/Backend/Php/Value/Double.php \
+               RPC2/Backend/Php/Value/Integer.php \
+               RPC2/Backend/Php/Value/Scalar.php \
+               RPC2/Backend/Php/Value/String.php \
+               RPC2/Backend/Php/Value/Struct.php \
+               RPC2/Backend/Php/Client.php \
+               RPC2/Backend/Php/Request.php \
+               RPC2/Backend/Php/Response.php \
+               RPC2/Backend/Php/Server.php \
+               RPC2/Backend/Php/Value.php \
+               RPC2/Backend/Xmlrpcext/Client.php \
+               RPC2/Backend/Xmlrpcext/Server.php \
+               RPC2/Backend/Xmlrpcext/Value.php \
+               RPC2/Server/CallHandler/Class.php \
+               RPC2/Server/CallHandler/Instance.php \
+               RPC2/Server/CallHandler.php \
+               RPC2/Server/Method.php \
+               RPC2/Util/HTTPRequest.php \
+               RPC2/Backend.php \
+               RPC2/CachedClient.php \
+               RPC2/CachedServer.php \
+               RPC2/Client.php \
+               RPC2/Exception.php \
+               RPC2/Server.php \
+               RPC2/Value.php
+
+post-extract:
+       @${MKDIR} ${WRKSRC}/RPC2
+       @${MV} ${WRKSRC}/XML/RPC2/* ${WRKSRC}/RPC2/

 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/devel/pear/bsd.pear.mk"

On Sat, Dec 27, 2008 at 5:20 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of net/pear-XML_RPC2,
>
> Please note that PR ports/129949 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129949
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 dfilter service freebsd_committer 2008-12-26 15:56:11 UTC
miwi        2008-12-26 15:56:02 UTC

  FreeBSD ports repository

  Modified files:
    net/pear-XML_RPC2    Makefile 
  Log:
  - Fix duplicate pear category
  
  PR:             129949
  Submitted by:   jun <yamajun@ofug.net>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.7       +1 -1      ports/net/pear-XML_RPC2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2008-12-26 15:56:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!